Debian Bug report logs - #626232
libpcap0.8: undefined reference to clock_gettime on kFreeBSD

version graph

Package: libpcap0.8; Maintainer for libpcap0.8 is Romain Francoise <rfrancoise@debian.org>; Source for libpcap0.8 is src:libpcap.

Reported by: Julien Cristau <jcristau@debian.org>

Date: Tue, 10 May 2011 06:15:02 UTC

Severity: grave

Found in version libpcap/1.1.1-4

Fixed in version libpcap/1.1.1-5

Done: Romain Francoise <rfrancoise@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#626232; Package freeradius. (Tue, 10 May 2011 06:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Josip Rodin <joy-packages@debian.org>. (Tue, 10 May 2011 06:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freeradius: FTBFS on kfreebsd (radsniff not built)
Date: Tue, 10 May 2011 08:12:44 +0200
Package: freeradius
Version: 2.1.10+dfsg-3
Severity: serious

See the build logs at
https://buildd.debian.org/status/package.php?p=freeradius, dh_install
fails trying to install radsniff which apparently isn't built for some
reason.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#626232; Package freeradius. (Tue, 10 May 2011 07:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. (Tue, 10 May 2011 07:57:10 GMT) Full text and rfc822 format available.

Message #10 received at 626232@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: Julien Cristau <jcristau@debian.org>, 626232@bugs.debian.org
Subject: Re: Bug#626232: freeradius: FTBFS on kfreebsd (radsniff not built)
Date: Tue, 10 May 2011 09:32:45 +0200
On Tue, May 10, 2011 at 08:12:44AM +0200, Julien Cristau wrote:
> Package: freeradius
> Version: 2.1.10+dfsg-3
> Severity: serious
> 
> See the build logs at
> https://buildd.debian.org/status/package.php?p=freeradius, dh_install
> fails trying to install radsniff which apparently isn't built for some
> reason.

The log says:

checking for pcap_open_live in -lpcap... no
configure: WARNING: pcap library not found, silently disabling the RADIUS sniffer.

Can you find the relevant config.log snippet?

We started using the system offsetof(3) in this revision as opposed to the
previous, but on the other hand - not in this code path, which says:

AC_CHECK_LIB(pcap, pcap_open_live,
        [ PCAP_LIBS="-lpcap"
        AC_DEFINE(HAVE_LIBPCAP, 1,
                [Define to 1 if you have the `pcap' library (-lpcap).])
        ],
        [ AC_MSG_WARN([pcap library not found, silently disabling the RADIUS sniffer.]) ])

That sounds... generic.

-- 
     2. That which causes joy or happiness.




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#626232; Package freeradius. (Tue, 10 May 2011 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. (Tue, 10 May 2011 14:39:04 GMT) Full text and rfc822 format available.

Message #15 received at 626232@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 626232@bugs.debian.org
Subject: Re: Bug#626232: freeradius: FTBFS on kfreebsd (radsniff not built)
Date: Tue, 10 May 2011 16:36:26 +0200
* Josip Rodin <joy@debbugs.entuzijast.net>, 2011-05-10, 09:32:
>checking for pcap_open_live in -lpcap... no
>configure: WARNING: pcap library not found, silently disabling the RADIUS sniffer.
>
>Can you find the relevant config.log snippet?
>
>We started using the system offsetof(3) in this revision as opposed to the
>previous, but on the other hand - not in this code path, which says:
>
>AC_CHECK_LIB(pcap, pcap_open_live,
>        [ PCAP_LIBS="-lpcap"
>        AC_DEFINE(HAVE_LIBPCAP, 1,
>                [Define to 1 if you have the `pcap' library (-lpcap).])
>        ],
>        [ AC_MSG_WARN([pcap library not found, silently disabling the RADIUS sniffer.]) ])
>
>That sounds... generic.

From my config.log:

configure:21607: result: no
configure:21620: checking for pcap_open_live in -lpcap
configure:21655: gcc -o conftest -g -O2 -O2 -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS   conftest.c -lpcap  -lnsl -lresolv  -lpthread >&5
/usr/lib/gcc/i486-kfreebsd-gnu/4.6.1/../../../libpcap.so: undefined reference to `clock_gettime'
collect2: ld returned 1 exit status
configure:21661: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define ASCEND_BINARY
| #define WITH_VMPS 1
| #define WITH_UDPFROMTO
| #define HAVE_PTHREAD_H 1
| #define HAVE_LIBRESOLV 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBCRYPTO 1
| #define HAVE_LIBSSL 1
| /* end confdefs.h.  */
|
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char pcap_open_live ();
| int
| main ()
| {
| return pcap_open_live ();
|   ;
|   return 0;
| }
configure:21679: result: no
configure:21690: WARNING: pcap library not found, silently disabling the RADIUS sniffer.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#626232; Package freeradius. (Tue, 10 May 2011 16:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. (Tue, 10 May 2011 16:51:10 GMT) Full text and rfc822 format available.

Message #20 received at 626232@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 626232@bugs.debian.org, libpcap@packages.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#626232: freeradius: FTBFS on kfreebsd (radsniff not built)
Date: Tue, 10 May 2011 18:47:51 +0200
[Message part 1 (text/plain, inline)]
reassign 626232 libpcap0.8 1.1.1-4
severity 626232 grave
retitle 626232 libpcap0.8: undefined reference to clock_gettime on kFreeBSD
thanks

>configure:21655: gcc -o conftest -g -O2 -O2 -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS   conftest.c -lpcap  -lnsl -lresolv  -lpthread >&5
>/usr/lib/gcc/i486-kfreebsd-gnu/4.6.1/../../../libpcap.so: undefined reference to `clock_gettime'
>collect2: ld returned 1 exit status

I think that clock_gettime is in libc on "true" FreeBSD, but it's in 
librt on GNU/* systems. The attached patch should fix this bug. (At 
least I could rebuild freeradius successfuly on kfreebsd-i386.)

-- 
Jakub Wilk
[51_link_rt.diff (text/x-diff, attachment)]

Bug reassigned from package 'freeradius' to 'libpcap0.8'. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 10 May 2011 16:51:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions freeradius/2.1.10+dfsg-3. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 10 May 2011 16:51:12 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libpcap/1.1.1-4. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 10 May 2011 16:51:13 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'serious' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 10 May 2011 16:51:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'libpcap0.8: undefined reference to clock_gettime on kFreeBSD' from 'freeradius: FTBFS on kfreebsd (radsniff not built)' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 10 May 2011 16:51:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#626232; Package libpcap0.8. (Tue, 10 May 2011 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Francoise <rfrancoise@debian.org>:
Extra info received and forwarded to list. (Tue, 10 May 2011 18:57:05 GMT) Full text and rfc822 format available.

Message #35 received at 626232@bugs.debian.org (full text, mbox):

From: Romain Francoise <rfrancoise@debian.org>
To: 626232@bugs.debian.org
Subject: Re: Bug#626232: freeradius: FTBFS on kfreebsd (radsniff not built)
Date: Tue, 10 May 2011 20:55:23 +0200
Jakub Wilk <jwilk@debian.org> writes:

>>configure:21655: gcc -o conftest -g -O2 -O2 -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS   conftest.c -lpcap  -lnsl -lresolv  -lpthread >&5
>>/usr/lib/gcc/i486-kfreebsd-gnu/4.6.1/../../../libpcap.so: undefined reference to `clock_gettime'
>>collect2: ld returned 1 exit status

> I think that clock_gettime is in libc on "true" FreeBSD, but it's in
> librt on GNU/* systems. The attached patch should fix this bug. (At
> least I could rebuild freeradius successfuly on kfreebsd-i386.)

Duh, my bad, it's because I enabled zerocopy BPF again.

Thanks for the patch, I'll merge it asap.

-- 
Romain Francoise <rfrancoise@debian.org>
http://people.debian.org/~rfrancoise/




Reply sent to Romain Francoise <rfrancoise@debian.org>:
You have taken responsibility. (Tue, 10 May 2011 19:36:14 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Tue, 10 May 2011 19:36:14 GMT) Full text and rfc822 format available.

Message #40 received at 626232-close@bugs.debian.org (full text, mbox):

From: Romain Francoise <rfrancoise@debian.org>
To: 626232-close@bugs.debian.org
Subject: Bug#626232: fixed in libpcap 1.1.1-5
Date: Tue, 10 May 2011 19:34:09 +0000
Source: libpcap
Source-Version: 1.1.1-5

We believe that the bug you reported is fixed in the latest version of
libpcap, which is due to be installed in the Debian FTP archive:

libpcap-dev_1.1.1-5_all.deb
  to main/libp/libpcap/libpcap-dev_1.1.1-5_all.deb
libpcap0.8-dbg_1.1.1-5_amd64.deb
  to main/libp/libpcap/libpcap0.8-dbg_1.1.1-5_amd64.deb
libpcap0.8-dev_1.1.1-5_amd64.deb
  to main/libp/libpcap/libpcap0.8-dev_1.1.1-5_amd64.deb
libpcap0.8_1.1.1-5_amd64.deb
  to main/libp/libpcap/libpcap0.8_1.1.1-5_amd64.deb
libpcap_1.1.1-5.debian.tar.gz
  to main/libp/libpcap/libpcap_1.1.1-5.debian.tar.gz
libpcap_1.1.1-5.dsc
  to main/libp/libpcap/libpcap_1.1.1-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626232@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Romain Francoise <rfrancoise@debian.org> (supplier of updated libpcap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 May 2011 21:10:53 +0200
Source: libpcap
Binary: libpcap-dev libpcap0.8-dev libpcap0.8 libpcap0.8-dbg
Architecture: source all amd64
Version: 1.1.1-5
Distribution: unstable
Urgency: low
Maintainer: Romain Francoise <rfrancoise@debian.org>
Changed-By: Romain Francoise <rfrancoise@debian.org>
Description: 
 libpcap-dev - development library for libpcap (transitional package)
 libpcap0.8 - system interface for user-level packet capture
 libpcap0.8-dbg - debugging symbols for libpcap0.8
 libpcap0.8-dev - development library and header files for libpcap0.8
Closes: 626232
Changes: 
 libpcap (1.1.1-5) unstable; urgency=low
 .
   * Fix build issue on kfreebsd which causes FTBFS in applications,
     introduced in 1.1.1-4. Thanks to Jakub Wilk <jwilk@debian.org> for the
     patch (closes: #626232).
Checksums-Sha1: 
 f7f33e45b30ab3c19a1d6e5892b006c5cc83ebe0 1257 libpcap_1.1.1-5.dsc
 21e92fe1b3a3eb70ff017a99156f72726938ca74 17109 libpcap_1.1.1-5.debian.tar.gz
 ed12ab6cfbb84ab806d3060a1d445ad93b43e7bf 19820 libpcap-dev_1.1.1-5_all.deb
 13589394b2c7842e1cc009cd807b8f9ea746cd6d 235006 libpcap0.8-dev_1.1.1-5_amd64.deb
 ee1f8042f1a71a20721fd554e51643047cf4a7ac 131344 libpcap0.8_1.1.1-5_amd64.deb
 b3d64d552b55717662c4d983dba1302d0fa3d51d 155762 libpcap0.8-dbg_1.1.1-5_amd64.deb
Checksums-Sha256: 
 812f7684c515f008ae3db33080c042673c74514de6ce18200e695c294952b4cd 1257 libpcap_1.1.1-5.dsc
 1da0a51868125f28ba62f932960bb078eed6bc3ada6a59a0286431e076649fa1 17109 libpcap_1.1.1-5.debian.tar.gz
 7467a0ac68b95b497d2d046bb62bce6308fa127269eff1af8c507200eb9c85bf 19820 libpcap-dev_1.1.1-5_all.deb
 273d76fb8502f5e6d0d087a25474e48810e209865c60d7bc13136c74d416ec5a 235006 libpcap0.8-dev_1.1.1-5_amd64.deb
 67d278a41a1ebb13aad1c84e351554a4e30f31a95c9cab882da455cd9646d0f3 131344 libpcap0.8_1.1.1-5_amd64.deb
 269d3cb1455fbc90c2287c0c45417678de0f4223fafaf2673280934d919c0e3d 155762 libpcap0.8-dbg_1.1.1-5_amd64.deb
Files: 
 e4f031626795debde776346d8b498885 1257 devel optional libpcap_1.1.1-5.dsc
 25b430e39aa3d7cf9d0a630d2b4a2007 17109 devel optional libpcap_1.1.1-5.debian.tar.gz
 5f456db9bbf65dab0e7ceade77a871a3 19820 libdevel optional libpcap-dev_1.1.1-5_all.deb
 bc32fa959221fe45710d1c4f035a247c 235006 libdevel optional libpcap0.8-dev_1.1.1-5_amd64.deb
 1f7208d4628054b60858121a94a0d2bf 131344 libs optional libpcap0.8_1.1.1-5_amd64.deb
 963d045807bbb05a42065a3dd829ca57 155762 debug extra libpcap0.8-dbg_1.1.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNyY9PogN2vsA8Vt8RAkYPAJ4haOmyIqpgejp3NdzHLMI7stg/LwCfaesy
oZwvMcJ3Yi+x+mmezgB99v4=
=0dYV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Jun 2011 07:35:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:00:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.